低危 Debian apt-cacher 0.7.26 job.cc 跨站脚本攻击

CVE编号

CVE-2014-4510

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-10-07
漏洞描述
Debian Apt-Cacher NG是一款软件下载代理。

Debian Apt-Cacher NG未能正确处理特制的URL数据,远程攻击者可以利用漏洞构建恶意URI,诱使用户解析,可获得敏感Cookie,劫持会话或在客户端上进行恶意操作。
解决建议
用户可参考如下厂商提供的安全公告获取补丁以修复该漏洞:
http://anonscm.debian.org/gitweb/?p=apt-cacher-ng/apt-cacher-ng.git;a=commit;h=6f08e6a3995d1bed4e837889a3945b6dc650f6ad
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 debian apt-cacher 0.7.26 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0.7.26-2
运行在以下环境
系统 ubuntu_16.04.7_lts apt-cacher-ng * Up to
(excluding)
0.7.26-2
运行在以下环境
系统 ubuntu_16.04_lts apt-cacher-ng * Up to
(excluding)
0.7.26-2
运行在以下环境
系统 ubuntu_18.04.5_lts apt-cacher-ng * Up to
(excluding)
0.7.26-2
运行在以下环境
系统 ubuntu_18.04_lts apt-cacher-ng * Up to
(excluding)
0.7.26-2
运行在以下环境
系统 ubuntu_18.10 apt-cacher-ng * Up to
(excluding)
0.7.26-2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-352 跨站请求伪造(CSRF)
阿里云安全产品覆盖情况